at.chipkarte.client.dmp.soap

## Class Anfrage

- Object
- - at.chipkarte.client.dmp.soap.Anfrage

-     public class Anfrage
      extends Object

  Enthält die Daten zur Anfrage sowie den Status der Anfrage.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Anfrage()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAnfrageStatus()` Status der Anfrage.
    `String` | `getAnfrageZeitstempel()` Zeitpunkt zu dem die Anfrage getätigt wurde.
    `String` | `getAusschreibeGrund()` Code, der den Grund der Ausschreibung beschreibt.
    `String` | `getBeMeldung()` Meldungstext des DMP-Backend zur Anfrage.
    `String` | `getDmpCode()` Code des Disease Management Programms, für das die Anfrage erfolgt ist.
    `String` | `getEingabeArt()` Code, der die Art der Eingabe beschreibt.
    `String` | `getEingabeArtUebersteuert()` Code, der die Art der Eingabe beschreibt, die von der DMP-Administration übersteuert wurde.
    `SvPerson` | `getPatient()` Beschreibung des Patienten für den die Anfrage getätigt wurde.
    `void` | `setAnfrageStatus(String anfrageStatus)`
    `void` | `setAnfrageZeitstempel(String anfrageZeitstempel)`
    `void` | `setAusschreibeGrund(String ausschreibeGrund)`
    `void` | `setBeMeldung(String beMeldung)`
    `void` | `setDmpCode(String dmpCode)`
    `void` | `setEingabeArt(String eingabeArt)`
    `void` | `setEingabeArtUebersteuert(String eingabeArtUebersteuert)`
    `void` | `setPatient(SvPerson patient)`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Anfrage

          public Anfrage()

  - ### Method Detail

    - #### getBeMeldung

          public String getBeMeldung()

      Meldungstext des DMP-Backend zur Anfrage.
      Format: maximal 500-stellig.
      Returns:
        Meldungstext

    - #### getDmpCode

          public String getDmpCode()

      Code des Disease Management Programms, für das die Anfrage erfolgt ist.
      Mögliche Werte siehe `Funktion getDMPs()`.
      Format: maximal 2-stellig.
      Returns:
        Code des Disease Management Programms

    - #### getEingabeArt

          public String getEingabeArt()

      Code, der die Art der Eingabe beschreibt.
      Mögliche Werte siehe `Konstante EingabeArt`.
      Format: maximal 1-stellig.
      Returns:
        Eingabeart

    - #### getAnfrageStatus

          public String getAnfrageStatus()

      Status der Anfrage.
      Mögliche Werte siehe `Konstante EingabeStatus`.
      Format: maximal 3-stellig.
      Returns:
        Status der Eingabe

    - #### getAnfrageZeitstempel

          public String getAnfrageZeitstempel()

      Zeitpunkt zu dem die Anfrage getätigt wurde.
      Format: "TT.MM.JJJJ HH:MM".
      Returns:
        EingabeZeitstempel

    - #### getPatient

          public SvPerson getPatient()

      Beschreibung des Patienten für den die Anfrage getätigt wurde.
      Returns:
        SvPerson

    - #### getAusschreibeGrund

          public String getAusschreibeGrund()

      Code, der den Grund der Ausschreibung beschreibt.
      Mögliche Werte siehe `Konstante AusschreibeGrund`.
      Format: maximal 2-stellig.
      Returns:
        AusschreibeGrund

    - #### getEingabeArtUebersteuert

          public String getEingabeArtUebersteuert()

      Code, der die Art der Eingabe beschreibt, die von der DMP-Administration übersteuert wurde.
      Der Wert ist nur gesetzt, wenn die Eingabeart übersteuert wurde.
      Mögliche Werte siehe `Konstante EingabeArt`.
      Format: maximal 1-stellig.
      Returns:
        Übersteuerte Eingabeart

    - #### setBeMeldung

          public void setBeMeldung(String beMeldung)

    - #### setDmpCode

          public void setDmpCode(String dmpCode)

    - #### setEingabeArt

          public void setEingabeArt(String eingabeArt)

    - #### setAnfrageStatus

          public void setAnfrageStatus(String anfrageStatus)

    - #### setAnfrageZeitstempel

          public void setAnfrageZeitstempel(String anfrageZeitstempel)

    - #### setPatient

          public void setPatient(SvPerson patient)

    - #### setAusschreibeGrund

          public void setAusschreibeGrund(String ausschreibeGrund)

    - #### setEingabeArtUebersteuert

          public void setEingabeArtUebersteuert(String eingabeArtUebersteuert)